> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List entity groups



## OpenAPI

````yaml GET /core/v3/entity-groups
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /core/v3/entity-groups:
    get:
      tags:
        - Entity Groups
      summary: List entity groups
      operationId: retrieveEntityGroups
      parameters:
        - in: query
          name: entityGroupId
          description: finds an entity group by entityGroupId
          schema:
            type: string
            format: uuid
        - in: query
          name: employeeId
          description: finds entity groups by employeeId
          schema:
            type: string
            format: uuid
        - in: query
          name: name[contains]
          description: finds by name, can be exact name without [contains]
          schema:
            type: string
            default: ''
        - in: query
          name: parentId
          description: if it is a subgroup you can find it by parentId
          schema:
            type: string
            format: uuid
        - in: query
          name: limit
          description: Limit assignations
          schema:
            type: integer
        - in: query
          name: page
          description: Request a specific page
          schema:
            type: integer
      responses:
        '200':
          description: Array of objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        name:
                          type: string
                        groupId:
                          type: string
                        parentId:
                          type: string
                          format: uuid
                        description:
                          type: string
                        showGroup:
                          type: boolean
                        costCenter:
                          type: boolean
                        employeesCount:
                          type: number
                          format: int
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````